Bug 26685 - Move Starman out of debian/control.in and into cpanfile
Summary: Move Starman out of debian/control.in and into cpanfile
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-15 02:03 UTC by David Cook
Modified: 2022-03-22 20:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 26685: Move starman out of debian/control.in and into cpanfile (1.17 KB, patch)
2020-10-15 02:07 UTC, David Cook
Details | Diff | Splinter Review
Update release notes for 21.11.03 release (54.61 KB, patch)
2022-03-02 05:10 UTC, Mason James
Details | Diff | Splinter Review
Bug 26685: Move starman out of debian/control.in and into cpanfile (1.88 KB, patch)
2022-03-02 05:27 UTC, Mason James
Details | Diff | Splinter Review
Bug 26685: Move Starman out of debian/control.in and into cpanfile (2) (1.12 KB, patch)
2022-03-02 05:32 UTC, Mason James
Details | Diff | Splinter Review
pic (72.35 KB, image/png)
2022-03-02 05:35 UTC, Mason James
Details
Bug 26685: Move starman out of debian/control.in and into cpanfile (1.96 KB, patch)
2022-03-21 14:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26685: Move Starman out of debian/control.in and into cpanfile (2) (1.15 KB, patch)
2022-03-21 14:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-10-15 02:03:03 UTC
If we put Starman in to cpanfile, it will help people using cpanfile without the Debian packages, and it should mean that the dependency is automatically added to debian/control.
Comment 1 David Cook 2020-10-15 02:07:40 UTC
Created attachment 111675 [details] [review]
Bug 26685: Move starman out of debian/control.in and into cpanfile
Comment 2 Victor Grousset/tuxayo 2020-12-12 15:42:23 UTC
Is there a test plan that would make sense for this?
Comment 3 Julian Maurice 2020-12-12 19:20:20 UTC
I believe Starman is not strictly required, as other PSGI servers should work as well. And we also have an option to run Koha as a Mojolicious application.
Would it make sense to move it to the 'recommends' section of cpanfile instead ?
Comment 4 David Cook 2020-12-13 23:44:07 UTC
(In reply to Julian Maurice from comment #3)
> I believe Starman is not strictly required, as other PSGI servers should
> work as well. And we also have an option to run Koha as a Mojolicious
> application.
> Would it make sense to move it to the 'recommends' section of cpanfile
> instead ?

I think that your argument has merit, but if we want Koha to work out-of-the-box, we do need to provide a default requirement, which is going to be starman for the time being.

Maybe we could put it as "recommends" in the cpanfile, and then keep "starman" in debian/control for koha-common and koha-full... and allow people to install whatever PSGI/Mojolicious server they want for koha-core...


It seems that "C4/Installer/PerlModules.pm" and "debian/list-deps" won't process "recommends", so that could work...

Perhaps something to discuss further..
Comment 5 Julian Maurice 2021-03-24 13:00:20 UTC
Actually debian/list-deps processes all packages in cpanfile, even "suggests". The only difference between "requires" and the other types is that if it does not find a required package, it prints an error message.
So we could remove starman from control.in, and add it in the "recommends" section of cpanfile. It should work.
Comment 6 Owen Leonard 2021-04-08 15:24:52 UTC
Is this ready for testing? If so please add a commit message which includes a detailed test plan.
Comment 9 Mason James 2022-03-02 05:27:12 UTC
Created attachment 131227 [details] [review]
Bug 26685: Move starman out of debian/control.in and into cpanfile

to test...
 - apply patch
 - build and install new package
 - confirm starman package displays correctly in about.pl page

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 10 Mason James 2022-03-02 05:32:14 UTC
Created attachment 131228 [details] [review]
Bug 26685: Move Starman out of debian/control.in and into cpanfile (2)

defining package as 'recommended', as suggested
Comment 11 Mason James 2022-03-02 05:35:24 UTC
Created attachment 131229 [details]
pic

pic
Comment 12 Jonathan Druart 2022-03-21 14:42:02 UTC
stretch (oldoldstable)
0.4014-1: all 
buster (oldstable)
0.4014-3: all 
bullseye (stable)
0.4015-1: all 
bookworm (testing)
0.4015-1: all 
sid (unstable)
0.4015-1: all
Comment 13 Jonathan Druart 2022-03-21 14:43:01 UTC
Created attachment 131974 [details] [review]
Bug 26685: Move starman out of debian/control.in and into cpanfile

to test...
 - apply patch
 - build and install new package
 - confirm starman package displays correctly in about.pl page

Signed-off-by: Mason James <mtj@kohaaloha.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2022-03-21 14:43:05 UTC
Created attachment 131975 [details] [review]
Bug 26685: Move Starman out of debian/control.in and into cpanfile (2)

defining package as 'recommended', as suggested

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Fridolin Somers 2022-03-22 20:18:44 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄